docs / api / vin / vehicle-ownership

Vehicle Ownership Cost API

Estimate 5-year ownership costs by VIN, including depreciation, insurance, fuel, maintenance, repairs, and state taxes or fees. The API supports cost projections for vehicle ownership analysis, pricing tools, and customer-facing automotive workflows.

GET
http://ownershipcost.vinaudit.com/getownershipcost.php

Request Parameters

Parameter

vin

required

Example

1NXBR32E85Z505904

Description

The vehicle identification number

Parameter

key

required

Example

VA_DEMO_KEY

Description

Your VinAudit API key

Parameter

state

required

Example

WA

Description

State Code

Parameter

format

optional

Example

json

Description

Output format

Response Attributes

Field

vin

Example

1NXBR32E85Z505904

Description

The vehicle identification number

Field

mileage_start

Example

-1

Description

The current mileage of the vehicle (default value: -1)

Field

mileage_year

Example

15000

Description

The estimated yearly mileage of the vehicle (default value: 15000)

Field

vehicle

Example

2005 Toyota Corolla LE

Description

The vehicle title (Year, Make, Model, Trim)

Field

depreciation_cost

Example

1682, 807, 706, 639, 572

Description

The estimated yearly depreciation cost

Field

insurance_cost

Example

1487, 1539, 1592, 1648, 1706

Description

The estimated yearly insurance cost

Field

fuel_cost

Example

2722, 2803, 2887, 2974, 3063

Description

The estimated yearly fuel cost

Field

maintenance_cost

Example

2763, 1748, 845, 545, 2291

Description

The estimated yearly maintenance cost

Field

repairs_cost

Example

977, 1138, 1298, 1417, 1627

Description

The estimated yearly repairs cost

Field

fees_cost

Example

459, 52, 67, 43, 59

Description

The estimated yearly state fees & taxes cost

Field

total_cost

Example

10089, 8088, 7396, 7266, 9319

Description

The estimated yearly total cost

Field

total_cost_sum

Example

42158

Description

The estimated overall total cost over the next 5 years

Example Request

HTTP
http://ownershipcost.vinaudit.com/getownershipcost.php?vin=1NXBR32E85Z505904&key=VA_DEMO_KEY&state=WA

Example Response

json
{
  "vin": "1NXBR32E85Z505904",
  "mileage_start": 150000,
  "mileage_year": 15000,
  "vehicle": "2005 Toyota Corolla",
  "trim": "CE",
  "depreciation_cost": [
    1682,
    807,
    706,
    639,
    572
  ],
  "insurance_cost": [
    1487,
    1539,
    1592,
    1648,
    1706
  ],
  "fuel_cost": [
    2722,
    2803,
    2887,
    2974,
    3063
  ],
  "maintenance_cost": [
    2763,
    1748,
    845,
    545,
    2291
  ],
  "repairs_cost": [
    977,
    1138,
    1298,
    1417,
    1627
  ],
  "fees_cost": [
    599,
    21,
    21,
    21,
    21
  ],
  "total_cost": [
    10230,
    8057,
    7350,
    7245,
    9281
  ],
  "total_cost_sum": 42164
}

Error Responses

Error CodeDescription
unauthorized_requestThe API key is invalid, or the account does not have access to Ownership Cost.
rate_limit_exceededThe account has reached its allowed request or usage limit. Please retry later.
billing_limit_exceededThe account has reached its billing limit or has insufficient prepaid balance.
missing_keyNo API key was provided with the request.
invalid_vinThe VIN provided is missing or invalid.
no_dataThere is not enough data to return an ownership cost estimate for this vehicle.

Ready to build?

Access the Vehicle Ownership Cpst API with a free developer account. No credit card required.